Latest Diablo 3 News
Support the site! Become a Diablo: IncGamers PAL - Remove ads and more!

What (current) version are you playing?

Discussion in 'Single Player Forum' started by maxicek, Mar 8, 2018.

?

What is you current patch?

Poll closed Mar 18, 2018.
  1. 1.13d

    45.7%
  2. 1.14d

    54.3%
  1. maxicek

    maxicek Moderator Single Player

    Joined:
    Aug 5, 2005
    Messages:
    5,978
    Likes Received:
    1,669
    Trophy Points:
    535
    I don’t really like the fact we are split across two versions, SPF unity would be preferable. I’m not including time travelling here.

    I would like to know who is playing what patch as their “current version.”

    And for 1.13d hold outs (of which I am one!) why have you not upgraded yet?
     
    T72on1, Excalibur and DiabloTwoinDC like this.
  2. Pb_pal

    Pb_pal Diabloii.Net Member

    Joined:
    Mar 7, 2004
    Messages:
    2,100
    Likes Received:
    2,207
    Trophy Points:
    233
    Holdout here.

    I haven't upgraded because:
    a) I don't trade or MP, and with no content changes I have no real reason to.
    b) 1.14 made time-travel impossible at first. I have a vague feeling this has been worked around by now, but at the time it was just another reason not to do it.
    c) me lazy. no clicky the bnet button.
     
  3. Caralis

    Caralis Diabloii.Net Member

    Joined:
    Jan 2, 2018
    Messages:
    82
    Likes Received:
    201
    Trophy Points:
    40
    My client failed patching to 1.14d so im still on 1.14b. I will upgrade when i fix and format my pc.
     
  4. Uthanak

    Uthanak Diabloii.Net Member

    Joined:
    Sep 6, 2009
    Messages:
    266
    Likes Received:
    134
    Trophy Points:
    56
    Exactly what I thought, upgrading causes some problem. If it ain't broken, don't fix it.
     
  5. zoo

    zoo Diabloii.Net Member

    Joined:
    Aug 4, 2010
    Messages:
    182
    Likes Received:
    65
    Trophy Points:
    32
    I'm running 1.14b. Mostly because it is the version the battle.net installer comes with. Never tried updating. What am I missing out on? Also, I don't interact with anyone ingame what so ever, so I guess this post was pretty useless.
     
    Last edited: Mar 8, 2018
  6. Gynli

    Gynli Diabloii.Net Member

    Joined:
    Jul 5, 2010
    Messages:
    562
    Likes Received:
    487
    Trophy Points:
    208
    1.14d because it was the most up to date patch when i came back.

    All the addons that worked for 1.13d seem to work without problems on 1.14d for me - gomule runcounter exp calc etc. So there was no reason to downgrade back to 1.13d.

    I did however have to change the registry key to switch the save folder, cause i like to keep the save files and the game files together.

    That being said, i like the idea of keeping the current version as one and i have no preference of one version over the other; so if i were asked to upgrade or downgrade, id be more than happy to do so. =)
     
  7. Friiser

    Friiser Diabloii.Net Member

    Joined:
    Jul 1, 2003
    Messages:
    1,065
    Likes Received:
    257
    Trophy Points:
    187
    I updated to 1.14D not realizing the implications. I believe that time traveling is now an option for me (a thank you to @fearedbliss and all other contributors that worked to provide the option), but the time invested to go back and build up wealth in previous patches isn't worth the gain at this point in my playing career. I'm just working my skellimancer to 99, doing the grails (regular and RW).
     
  8. DiabloTwoinDC

    DiabloTwoinDC Diabloii.Net Member

    Joined:
    Sep 12, 2013
    Messages:
    2,135
    Likes Received:
    1,621
    Trophy Points:
    232
    I'm still on 1.13 mostly for trading. It would be great to get everyone on same patch though. Also, from what I have heard, that ::cough:: ::cough:: program is not compatible with 1.14. So, this would help put everyone's mind at ease for MP/trading.

    Edit: @maxicek how about a second poll question, "are you willing to upgrade for MP/trading?"
     
    Excalibur and drmalawi like this.
  9. Albatross

    Albatross Diabloii.Net Member

    Joined:
    Apr 27, 2009
    Messages:
    952
    Likes Received:
    596
    Trophy Points:
    175
    1.14d. Just a habit to update stuff to the most recent version, wasn't planning on trading at the time so it wasn't an issue.
     
  10. Xul's Gull

    Xul's Gull Diabloii.Net Member

    Joined:
    Nov 21, 2017
    Messages:
    46
    Likes Received:
    81
    Trophy Points:
    14
    1.14d. Only use Atma for transferring items now and then, doesn't seem to have a problem with it.
     
  11. Excalibur

    Excalibur Diabloii.Net Member

    Joined:
    Jul 3, 2012
    Messages:
    1,023
    Likes Received:
    358
    Trophy Points:
    195
    Same as D2DC said above, I am on 1.13d mostly for trading and perhaps for safety reasons? You can always upgrade but once you do you can no longer downgrade. Other than that, I think we should all eventually use the same patch.
     
  12. helvete

    helvete Diabloii.Net Member

    Joined:
    Jul 17, 2004
    Messages:
    7,004
    Likes Received:
    1,183
    Trophy Points:
    534
    1.13d because 1.14+ changes were changes I don't want. I'm fine with glide wrapper and the old save paths. At the time, it would also have broken time travel, which I definitely did NOT want.
     
  13. T72on1

    T72on1 Diabloii.Net Member

    Joined:
    Feb 12, 2016
    Messages:
    4,957
    Likes Received:
    4,078
    Trophy Points:
    236
    1.14d because I also play a group game on Bnet. Otherwise ... I'd probably have upgraded as well, but not sure.
     
  14. GalaXyHaXz

    GalaXyHaXz Diabloii.Net Member

    Joined:
    Mar 16, 2011
    Messages:
    761
    Likes Received:
    654
    Trophy Points:
    173
    I still prefer 1.13 for DDraw and the old log/save paths. The save path can be reverted back by changing the registry, but it's added hassle to time travelers. DDraw was rarely used by most people, but still: If it ain't broke, why break it?
     
  15. Jocular

    Jocular Diabloii.Net Member

    Joined:
    Feb 3, 2011
    Messages:
    1,108
    Likes Received:
    319
    Trophy Points:
    197
    Can someone fill me in briefly on the differences? I've been gone for a while. Also, I haven't updated because it fails. Haven't tried to figure out a work around.
     
  16. TheNix

    TheNix Diabloii.Net Member

    Joined:
    Jun 23, 2003
    Messages:
    4,023
    Likes Received:
    400
    Trophy Points:
    505
    If not for @fearedbliss I'd probably still be playing 1.13d, but his version switcher has given me the freedom to play 1.14d and not have my saves dicked around with. Once I've completed my 1.14 sept, I'll probably go back and finish up 1.13 BoTD sept and perhaps my grail.
     
  17. Maltatai

    Maltatai Diabloii.Net Member

    Joined:
    Nov 2, 2010
    Messages:
    649
    Likes Received:
    630
    Trophy Points:
    233
    1.13, because I have had no reason to upgrade. 1.14 does not, as far as I know, add anything that I miss in the game. And there's the ever so small (D2 is a solid game since long) chance that an upgrade would mess with something in my installation.
     
  18. crawlingdeadman

    crawlingdeadman Diabloii.Net Member

    Joined:
    Jun 7, 2005
    Messages:
    10,952
    Likes Received:
    373
    Trophy Points:
    378
    This was me. I am still keeping up some Bnet characters and didn't realize I'd lose my multi-instance until it was too late. Thanks from me too, @fearedbliss
     
  19. Burgomaster3

    Burgomaster3 Diabloii.Net Member

    Joined:
    Jan 19, 2016
    Messages:
    348
    Likes Received:
    502
    Trophy Points:
    117
    I was long in the 1.13d camp, but quite recently I updated to 1.14d. Reason was new computer. I have my cd's in some unknown location, and no computer with working disc drive, so it wasn't really an option to install from the original discs. I had bought a backup copies of D2 and LoD from Blizzards site earlier anyway, so it was just easier to install the latest version.

    Probably the only reason holding me back was the unsupported time travel in 1.14, but since the BVS got updated to support the latest version, everything is pretty much the same as it was with 1.13d.

    Also, good thing this was brought up, since I've forgotten to update my trade profile. Will do that asap.
     
  20. DiabloTwoinDC

    DiabloTwoinDC Diabloii.Net Member

    Joined:
    Sep 12, 2013
    Messages:
    2,135
    Likes Received:
    1,621
    Trophy Points:
    232
    @Burgomaster3 - So, did you have to "upgrade" stashes? I'm sure the 1.13 characters you can just open in 1.14, but are you then able to transfer 1.13 stash items to them? Otherwise, that would take forever to move all stash items onto characters, then open in 1.14, then transfer back to stash.. :eek:
     

Share This Page